%define anolis_release 1

Summary: A utility which lists open files on a Linux/UNIX system
Name: lsof
Version: 4.95.0
Release: %{anolis_release}%{?dist}
# Sendmail .. lib/snpf.c
# LGPLv2+  .. lib/regex.c, regex.h
License: zlib and Sendmail and LGPLv2+
URL: https://github.com/lsof-org/lsof

# lsof contains licensed code that we cannot ship.  Therefore we use
# upstream2downstream.sh script to remove the code before shipping it.

%global lsofrh lsof-%{version}-rh
Source0: %{lsofrh}.tar.xz

BuildRequires: gcc
BuildRequires: libselinux-devel
BuildRequires: libtirpc-devel
BuildRequires: groff-base
BuildRequires: make

%description
Lsof stands for LiSt Open Files, and it does just that: it lists information
about files that are open by the processes running on a UNIX system.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{lsofrh}

%build
./Configure -n linux
%make_build DEBUG="%{build_cflags} -I/usr/include/tirpc" CFGL="%{build_ldflags} -L./lib -llsof -lselinux -ltirpc"
# rebase to 4.93 introduced change in Lsof.8 with unhandled .so inclusion
soelim -r Lsof.8 > lsof.1

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -p -m 0755 lsof ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -p -m 0644 lsof.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/lsof.1

%files
%{_bindir}/lsof
%{_mandir}/man*/*

%files doc
%doc 00README 00CREDITS 00FAQ 00LSOF-L 00QUICKSTART

%changelog
* Tue Sep 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.95.0-1
- update to 4.95.0

* Wed Mar 09 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 4.94.0-1
- Rebase to 4.94.0
- Init for Anolis OS 23
